org.springframework.batch.sample.domain.trade.internal

## Class TradeRowMapper

- java.lang.Object
- - org.springframework.batch.sample.domain.trade.internal.TradeRowMapper

- All Implemented Interfaces:
    org.springframework.jdbc.core.RowMapper<Trade>

      public class TradeRowMapper
      extends java.lang.Object
      implements org.springframework.jdbc.core.RowMapper<Trade>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CUSTOMER_COLUMN`
    `static int` | `ID_COLUMN`
    `static int` | `ISIN_COLUMN`
    `static int` | `PRICE_COLUMN`
    `static int` | `QUANTITY_COLUMN`
    `static int` | `VERSION_COLUMN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TradeRowMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Trade` | `mapRow(java.sql.ResultSet rs, int rowNum)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ISIN_COLUMN

          public static final int ISIN_COLUMN

      See Also:
        Constant Field Values

    - #### QUANTITY_COLUMN

          public static final int QUANTITY_COLUMN

      See Also:
        Constant Field Values

    - #### PRICE_COLUMN

          public static final int PRICE_COLUMN

      See Also:
        Constant Field Values

    - #### CUSTOMER_COLUMN

          public static final int CUSTOMER_COLUMN

      See Also:
        Constant Field Values

    - #### ID_COLUMN

          public static final int ID_COLUMN

      See Also:
        Constant Field Values

    - #### VERSION_COLUMN

          public static final int VERSION_COLUMN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TradeRowMapper

          public TradeRowMapper()

  - ### Method Detail

    - #### mapRow

          public Trade mapRow(java.sql.ResultSet rs,
                              int rowNum)
                       throws java.sql.SQLException

      Specified by:
        `mapRow` in interface `org.springframework.jdbc.core.RowMapper<Trade>`
      Throws:
        `java.sql.SQLException`